Package org.flowable.bpmn.model

# Class EndEvent

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Event
org.flowable.bpmn.model.EndEvent

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasInParameters`, `HasOutParameters`

public class EndEvent extends Event

Author:
  Tijs Rademakers

- ## Field Summary

  ### Fields inherited from class org.flowable.bpmn.model.Event

  `eventDefinitions, inParameters, outParameters`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EndEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndEvent`
  `clone()`
  `void`
  `setValues(EndEvent otherEvent)`

  ### Methods inherited from class org.flowable.bpmn.model.Event

  `addEventDefinition, addInParameter, addOutParameter, getEventDefinitions, getInParameters, getOutParameters, setEventDefinitions, setInParameters, setOutParameters, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EndEvent

    public EndEvent()

- ## Method Details

  - ### clone

    public EndEvent clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(EndEvent otherEvent)